Phar::isBuffering
Phar::isFileFormat
Phar
PHP Manual

# Phar::isCompressed

Returns Phar::GZ or PHAR::BZ2 if the entire phar archive is compressed (.tar.gz/tar.bz and so on)

### Description

public mixed Phar::isCompressed ( void )

> Note:

> This method requires the php.ini setting phar.readonly to be set to 0 in order to work for Phar objects. Otherwise, a PharException will be thrown.

Returns Phar::GZ or PHAR::BZ2 if the entire phar archive is compressed (.tar.gz/tar.bz and so on). Zip-based phar archives cannot be compressed as a file, and so this method will always return `FALSE` if a zip-based phar archive is queried.

### Parameters

No parameters.

### Return Values

Phar::GZ, Phar::BZ2 or `FALSE`

### Examples

Example #1 A Phar::isCompressed example

`<?php
try {
$phar1 = new Phar('myphar.zip.phar');
var_dump($phar1->isCompressed());
$phar2 = new Phar('myuncompressed.tar.phar');
var_dump($phar2->isCompressed());
$phar2->compressAllFilesGZ();
var_dump($phar2->isCompressed() == Phar::GZ);
} catch (Exception $e) {
}
?>`

The above example will output:

    bool(false)
    bool(false)
    bool(true)

### See Also

- PharFileInfo::getCompressedSize
- PharFileInfo::isCompressed
- PharFileInfo::decompress
- PharFileInfo::compress
- Phar::decompress
- Phar::compress
- Phar::canCompress
- Phar::compressFiles
- Phar::decompressFiles
- Phar::getSupportedCompression